/* cli qt clipboard, v. 0.01
   for the Midnight Commander
   Copyright (C) 2005 Vadim Likhota

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */


#include "qtclipb.h"
#include <qapplication.h>


int main( int argc, char **argv )
{
    QApplication a(argc,argv);
    QString s;
    
    for ( int i=1; i<argc; i++ ) {
	s += argv[i];
	if ( i<argc-1 )
	    s += " ";
    }
    if ( s.isEmpty() )
	s = "Hello, World";
    Qtclipb qcl( s );
    a.setMainWidget( &qcl );
    //qcl.show();
    return a.exec();
}
